# Setup
Read("util.gap");
F := GF(q);
z := Z(q);
G2q := G2(q);
v_orb := [0,0,1,0,1,0] * z^0;
Display("Verifying group size...");
Assert(0, Size(G2q) = q^6*(q^6-1)*(q^2-1));

# The second (bigger) geometry, with the second plane orbit,
# is determined by the following elements:
u_space := [ 
		[[1,0,0,0,0,0]],
		[[1,0,0,0,0,0],                [0,0,0,1,0,0]],
		[[1,0,0,0,0,0], [0,0,1,0,0,1], [0,0,0,1,0,0]]
	] *z^0;
u_stab := [];
u_index := [
	(q^6-1)/(q-1),
	q^4*(1+q^2+q^4),
	(1+q)*(1+q^2+q^4)*(q^4-q^3)
	];
u_size := List(u_index, x -> Size(G2q) / x);

Read("build_stabs.gap");
Read("build_amalgam2.gap");

Display("Coset enumeration...");
A := FG / rels;
U := Subgroup(A, GeneratorsOfGroup(A){stab_gens[1]});
idx := Index(A, U);

Print("Expected index = ", Index(G2q, U1), "\n");
Print("Actual index = ", idx, "\n");
Print("Resulting covering factor = ", idx/Index(G2q, U1), "\n");
